xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (C) 2007 Andrea Rossato
License | BSD3
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Prompt.XMonad

Contents

- Usage

Description

A prompt for running XMonad commands

Synopsis

- xmonadPrompt :: XPConfig -> X ()
- xmonadPromptC :: [(String, X ())] -> XPConfig -> X ()
- xmonadPromptCT :: String -> [(String, X ())] -> XPConfig -> X ()
- data XMonad

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.XMonad

in your keybindings add:

      , ((modm .|. controlMask, xK_x), xmonadPrompt def)

For detailed instruction on editing the key binding see the tutorial.

xmonadPrompt :: XPConfig -> X () #

xmonadPromptC :: [(String, X ())] -> XPConfig -> X () #

An xmonad prompt with a custom command list

xmonadPromptCT :: String -> [(String, X ())] -> XPConfig -> X () #

An xmonad prompt with a custom command list and a custom title

data XMonad #

#### Instances

Instances details

XPrompt XMonad # |
Instance details Defined in XMonad.Prompt.XMonad Methods showXPrompt :: XMonad -> String # nextCompletion :: XMonad -> String -> [String] -> String # commandToComplete :: XMonad -> String -> String # completionToCommand :: XMonad -> String -> String # completionFunction :: XMonad -> ComplFunction # modeAction :: XMonad -> String -> String -> X () #